import * as $dara from '@darabonba/typescript';
import { CreateSnapshotResponseBody } from "./CreateSnapshotResponseBody";
export declare class CreateSnapshotResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateSnapshotResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
